عرض إمكانات نقاط نهاية النموذج
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/models/{author}/{slug}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/models/{author}/{slug}/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.phaseo.app/v1/models/{author}/{slug}/endpoints \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/models/{author}/{slug}/endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phaseo.app/v1/models/{author}/{slug}/endpoints")
.header("Authorization", "Bearer <token>")
.asString();
{
"ok": true,
"id": "<string>",
"name": "<string>",
"description": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"color": "<string>"
},
"modalities": {
"input": [
"<string>"
],
"output": [
"<string>"
]
},
"availability_mode": "active",
"endpoints": [
{
"id": "openai:responses",
"endpoint": "responses",
"capability_id": "responses",
"public_path": "/v1/responses",
"collection": "text",
"provider": {
"id": "openai",
"name": "OpenAI"
},
"model": "gpt-5.4-mini",
"routable": true,
"status": "active",
"status_reason": "active",
"modalities": {
"input": [
"<string>"
],
"output": [
"<string>"
]
},
"capabilities": {
"parameters": [
"<string>"
],
"parameter_details": {},
"endpoints": [
"<string>"
]
},
"routing": {
"provider": "active",
"model": "active",
"capability": "active"
},
"effective": {
"from": "<string>",
"to": "<string>"
},
"pricing": {
"pricing_plan": "standard",
"meters": {}
}
}
]
}{
"ok": false,
"error": "invalid_request",
"message": "Invalid request parameters.",
"max_offset": 1
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}النماذج
عرض قدرات مسارات النموذج
استعراض مسارات المزوّدين والوسائط والمعلمات والتوفر والأسعار المتاحة لنموذج واحد.
GET
/
models
/
{author}
/
{slug}
/
endpoints
عرض إمكانات نقاط نهاية النموذج
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/models/{author}/{slug}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/models/{author}/{slug}/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)استخدم هذا المسار قبل إرسال الطلب إذا كان تطبيقك بحاجة إلى التأكد من توفر مجموعة النموذج والمزوّد والمسار والمعلمات.
بالنسبة إلى
يمثل كل صف قدرة لمزوّد ومسار، ويتضمن:
لا توجّه حركة الإنتاج إلى صف إلا إذا كانت
openai/gpt-5.4-mini، استخدم:
curl "https://api.phaseo.app/v1/models/openai/gpt-5.4-mini/endpoints" \
-H "Authorization: Bearer $PHASEO_API_KEY"
- معرّف القدرة الأساسي ومسار API العام
- معرّف المزوّد واسمه ورابطه المختصر للنموذج
- وسائط الإدخال والإخراج
- أسماء المعلمات المدعومة وتفاصيلها المنظمة
- حالات المزوّد والنموذج والقدرة والتوجيه والتوفر
- تواريخ السريان عندما يكون المسار مجدولًا أو محدودًا زمنيًا
- ملخص أسعار المسار
تضمين المسارات المجدولة وغير النشطة
لا يعيد الإعداد الافتراضيavailability=active إلا الصفوف ذات المسارات المتاحة للعامة. استخدم availability=all لفحص المسارات القادمة وغير النشطة:
curl "https://api.phaseo.app/v1/models/openai/gpt-5.4-mini/endpoints?availability=all" \
-H "Authorization: Bearer $PHASEO_API_KEY"
availability_status تساوي active وكانت is_active_gateway تساوي true.
تصفية المسارات
استخدم عوامل تصفية قابلة للتكرار أو مفصولة بفواصل لـ:providerprovider_statusprovider_routing_statusmodel_routing_statuscapability_statusprovider_availability_statusprovider_availability_reasonstatussupported_parameters
temperature:
curl "https://api.phaseo.app/v1/models/openai/gpt-5.4-mini/endpoints?provider=openai&supported_parameters=temperature" \
-H "Authorization: Bearer $PHASEO_API_KEY"
مسارات ذات صلة
التفويضات
المصادقة باستخدام رمز Bearer
معلمات الاستعلام
التصفية حسب معرّف المزوّد.
التصفية حسب حالة طرح المزوّد.
التصفية حسب حالة توجيه المزوّد.
التصفية حسب حالة توجيه النموذج.
التصفية حسب حالة قدرات المزوّد.
التصفية حسب حالة توفر المزوّد.
التصفية حسب سبب توفر المزوّد.
التصفية حسب حالة دورة حياة النموذج المعتمدة.
تصفية صفوف نقاط النهاية حسب أسماء المعلمات المدعومة أو الأسماء المستعارة.
يعرض active صفوف نقاط النهاية القابلة للتوجيه علنًا؛ ويشمل all أيضًا الصفوف القادمة وغير النشطة.
الخيارات المتاحة:
active, all الاستجابة
صفوف إمكانات نقاط نهاية النموذج
الخيارات المتاحة:
true Show child attributes
Show child attributes
Show child attributes
Show child attributes
الخيارات المتاحة:
active, all Show child attributes
Show child attributes
آخر تعديل في ٢ أكتوبر ٢٠٢٦
هل كانت هذه الصفحة مفيدة؟